Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class OperationRepository

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
          kieker.tools.traceAnalysis.systemModel.repository.OperationRepository

    public class OperationRepository

extends AbstractSystemSubRepository

This is a repository in which the available operations (`Operation`) can be stored.

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static Operation` | `ROOT_OPERATION`
`static Signature` | `ROOT_SIGNATURE`

Fields inherited from class kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
`ROOT_ELEMENT_ID`

Constructor Summary
`OperationRepository(SystemModelRepository systemFactory)` Creates a new instance of this class using the given parameters.

Method Summary
`Operation` | `createAndRegisterOperation(String namedIdentifier, ComponentType componentType, Signature signature)`
`Collection<Operation>` | `getOperations()` Delivers a collection containing all available operations.
`Operation` | `lookupOperationByNamedIdentifier(String namedIdentifier)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_SIGNATURE

    public static final Signature ROOT_SIGNATURE

### ROOT_OPERATION

    public static final Operation ROOT_OPERATION

Constructor Detail

### OperationRepository

    public OperationRepository(SystemModelRepository systemFactory)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `systemFactory` - The system factory.

Method Detail

### lookupOperationByNamedIdentifier

    public final Operation lookupOperationByNamedIdentifier(String namedIdentifier)

  Parameters:
    `namedIdentifier` - The identifier to search for.
  Returns:
    The instance for the passed namedIdentifier; null if no instance with this namedIdentifier.

### createAndRegisterOperation

    public final Operation createAndRegisterOperation(String namedIdentifier,
                                                      ComponentType componentType,
                                                      Signature signature)

### getOperations

    public final Collection<Operation> getOperations()

  Delivers a collection containing all available operations.

  Returns:
    The already stored operations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net